/*
	StripMacBinView.cpp
	
	Copyright 1996, Jake Hamby
*/

#include "StripMacBinView.h"

StripMacBinView::StripMacBinView(BRect area)
				: BView(area, "View", B_FOLLOW_ALL, B_WILL_DRAW)
{
	msg="Program Started.";
}

//------------------
// Print status message in main window
//------------------

void StripMacBinView::Draw(BRect area) {
	MovePenTo(BPoint(10, 30));
	DrawString("StripMacBinary Status:");
	if(msg) {
		MovePenTo(BPoint(10, 50));
		DrawString(msg);
	}
}

//------------------
// Handle files dropped on window
//------------------

bool StripMacBinView::MessageDropped(BMessage *message, 
								BPoint loc, BPoint offset)
{
	if (message->what == B_REFS_RECEIVED) {
		// Clone message, then send to app
		be_app->PostMessage(new BMessage(message));
		return 1;
	}
	return 0;
}
								