/*
	StripMacBinWindow.h
	
	Copyright 1996, Jake Hamby
*/

#ifndef STRIP_MACBIN_WINDOW_H
#define STRIP_MACBIN_WINDOW_H
#include <Window.h>
#include "StripMacBinView.h"
#include "MacBinHandler.h"

class StripMacBinWindow : public BWindow {
public:
	StripMacBinWindow(BRect frame);
	~StripMacBinWindow();
	bool QuitRequested();
	void SetStatus(char *msg);
	void ConvertFile(record_ref ref);
	void SavePanelClosed(BMessage *message);
	void SaveRequested(record_ref dir, const char *filename);
private:
	StripMacBinView *myView;
	MacBinHandler *myMacBinHandler;
	record_ref oldRef;
};
#endif
