/*
	StripMacBinary.h
	
	Copyright 1996, Jake Hamby
*/

#ifndef STRIP_MACBINARY_H
#define STRIP_MACBINARY_H

#include <Application.h>
#include <List.h>
#include "StripMacBinWindow.h"

// Private message types
#define SHOW_FILE_PANEL		'SPNL'
#define READY_FOR_NEXT		'RNXT'

class StripMacBinApp : public BApplication {

public:
			StripMacBinApp();
			void AboutRequested();
			void ArgvReceived(int argc, char **argv);
			void FilePanelClosed(BMessage *message);
			void MessageReceived(BMessage *message);
			void RefsReceived(BMessage *message);
			
private:
			void StartHandler();

			StripMacBinWindow *myWindow;
			BList *reflist;
};

#endif
